TypeEditor (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.testbeans.gui, enum: TypeEditor

Package org.apache.jmeter.testbeans.gui

# Enum TypeEditor

java.lang.Object
java.lang.Enum<TypeEditor>
org.apache.jmeter.testbeans.gui.TypeEditor

All Implemented Interfaces:
  `Serializable`, `Comparable<TypeEditor>`, `java.lang.constant.Constable`

public enum TypeEditor extends Enum<TypeEditor>
Allow direct specification of property editors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ComboStringEditor`
  `FileEditor`
  `PasswordEditor`
  `TableEditor`
  `TextAreaEditor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TypeEditor`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TypeEditor[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FileEditor

    public static final TypeEditor FileEditor

  - ### PasswordEditor

    public static final TypeEditor PasswordEditor

  - ### TableEditor

    public static final TypeEditor TableEditor

  - ### TextAreaEditor

    public static final TypeEditor TextAreaEditor

  - ### ComboStringEditor

    public static final TypeEditor ComboStringEditor

- ## Method Details

  - ### values

    public static TypeEditor[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TypeEditor valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null